Last Comment Bug 403616 - --enable-application=standalone is no longer supported
: --enable-application=standalone is no longer supported
Status: RESOLVED FIXED
fixed-in-bs
: dev-doc-complete
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- minor (vote)
: mozilla9
Assigned To: Matheus Kerschbaum
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 05:42 PST by Benjamin Smedberg [:bsmedberg]
Modified: 2011-11-04 06:05 PDT (History)
9 users (show)
emorley: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.73 KB, patch)
2011-08-23 18:28 PDT, Matheus Kerschbaum
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Benjamin Smedberg [:bsmedberg] 2007-11-13 05:42:01 PST
The --enable-application=standalone option no longer works (since bug 380846) and I believe we should remove it instead of trying to fix it. If somebody wants to resurrect standalone xpconnect they can create a build.mk file for it in js/src/xpconnect
Comment 1 Matheus Kerschbaum 2011-08-23 18:28:56 PDT
Created attachment 555272 [details] [diff] [review]
patch
Comment 2 Justin Wood (:Callek) 2011-08-23 19:07:57 PDT
Comment on attachment 555272 [details] [diff] [review]
patch


>-#if !defined(XPCONNECT_STANDALONE)
>-

I'll game the system with my r+ if you also remove the DEFINE from config.mk for that. (and the ifeq around it) no-one else uses this define.
Comment 3 Matheus Kerschbaum 2011-08-23 19:36:00 PDT
(In reply to Justin Wood (:Callek) from comment #2)
> Comment on attachment 555272 [details] [diff] [review]
> patch
> 
> 
> >-#if !defined(XPCONNECT_STANDALONE)
> >-
> 
> I'll game the system with my r+ if you also remove the DEFINE from config.mk
> for that. (and the ifeq around it) no-one else uses this define.

That code is only on comm-central and this patch is for mozilla-central.
Comment 4 Justin Wood (:Callek) 2011-08-23 19:58:18 PDT
(In reply to Matheus Kerschbaum from comment #3)
> (In reply to Justin Wood (:Callek) from comment #2)
> > Comment on attachment 555272 [details] [diff] [review]
> > patch
> > 
> > 
> > >-#if !defined(XPCONNECT_STANDALONE)
> > >-
> > 
> > I'll game the system with my r+ if you also remove the DEFINE from config.mk
> > for that. (and the ifeq around it) no-one else uses this define.
> 
> That code is only on comm-central and this patch is for mozilla-central.

O whops yes, read too fast and thought that config.mk was mozilla/*/config.mk

well, r+ still stands, and I'll add an rs+ for the c-c config.mk while you're at it, if you want.
Comment 5 Ed Morley [:emorley] 2011-08-24 18:25:46 PDT
http://hg.mozilla.org/projects/build-system/rev/443d9a9d3c67
Comment 6 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-25 06:54:51 PDT
http://hg.mozilla.org/mozilla-central/rev/443d9a9d3c67
Comment 7 Eric Shepherd [:sheppy] 2011-11-04 06:05:16 PDT
The only place building standalone XPConnect was even mentioned was on this page:

https://developer.mozilla.org/En/Developer_Guide/Build_Instructions

It no longer mentions it.

The actual --enable-application=standalone option was never mentioned anywhere on MDN.

Note You need to log in before you can comment on or make changes to this bug.